package com.bonus.canteen.core.supply.purchase.domain.bo;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpSupplierQualification对象",
   description = "供应商资质表"
)
public class DrpSupplierQualification {
   @ApiModelProperty("主键id")
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Long id;
   @ApiModelProperty("资质编号")
   private String qualificationNum;
   @ApiModelProperty("资质名称")
   private String qualificationName;
   @ApiModelProperty("有效期")
   private LocalDate validity;
   @ApiModelProperty("资质照片")
   private String imgUrl;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("主次(1主，2次)")
   private Integer mainFlag;
   @ApiModelProperty("删除标识(1-删除,2-正常)")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "createBy",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField(
      value = "createTime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField(
      value = "updateBy",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField(
      value = "updateTime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   @ApiModelProperty("关联证书库ID")
   private Long certId;

   public Long getId() {
      return this.id;
   }

   public String getQualificationNum() {
      return this.qualificationNum;
   }

   public String getQualificationName() {
      return this.qualificationName;
   }

   public LocalDate getValidity() {
      return this.validity;
   }

   public String getImgUrl() {
      return this.imgUrl;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Integer getMainFlag() {
      return this.mainFlag;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public Long getCertId() {
      return this.certId;
   }

   public DrpSupplierQualification setId(final Long id) {
      this.id = id;
      return this;
   }

   public DrpSupplierQualification setQualificationNum(final String qualificationNum) {
      this.qualificationNum = qualificationNum;
      return this;
   }

   public DrpSupplierQualification setQualificationName(final String qualificationName) {
      this.qualificationName = qualificationName;
      return this;
   }

   public DrpSupplierQualification setValidity(final LocalDate validity) {
      this.validity = validity;
      return this;
   }

   public DrpSupplierQualification setImgUrl(final String imgUrl) {
      this.imgUrl = imgUrl;
      return this;
   }

   public DrpSupplierQualification setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
      return this;
   }

   public DrpSupplierQualification setMainFlag(final Integer mainFlag) {
      this.mainFlag = mainFlag;
      return this;
   }

   public DrpSupplierQualification setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public DrpSupplierQualification setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }
   public DrpSupplierQualification setCertId(final Long certId) {
      this.certId = certId;
      return this;
   }

   public String getCreateBy() {
      return createBy;
   }

   public DrpSupplierQualification setCreateBy(String createBy) {
      this.createBy = createBy;
      return this;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public DrpSupplierQualification setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
      return this;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public DrpSupplierQualification setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
      return this;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public DrpSupplierQualification setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
      return this;
   }
}
